<?php
namespace Ig\IgCookies\Domain\Model;

/***
 *
 * This file is part of the "sh_cookies" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2018 Simon Häsler <sh@internetgalerie.ch>, Internetgalerie AG
 *
 ***/

/**
 * Log
 */
class Log extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{
    /**
     * Log Date
     *
     * @var \DateTime
     */
    protected $logDate = null;

    /**
     * ipAddress
     *
     * @var string
     */
    protected $ipAddress = '';

    /**
     * browser
     *
     * @var string
     */
    protected $browser = '';

    /**
     * categories
     *
     * @var string
     */
    protected $categories = '';

    public function __construct()//$ipAddress = '', $browser = '') {
    {
      $this->logDate=new \DateTime();
      //$this->setIpAddress($ipAddress);
      //$this->setBrowser($browser);
    }

    /**
     * Sets the logDate
     *
     * @return \DateTime $logDate
     */
    public function getLogDate(){
        return $this->logDate;
    }

    /**
     * Sets the logDate
     *
     * @param \DateTime $logDate
     * @return void
     */
    public function setLogDate($logDate){
        $this->logDate = $logDate;
    }

    /**
     * Returns the ipAddress
     *
     * @return string $ipAddress
     */
    public function getIpAddress()
    {
        return $this->ipAddress;
    }

    /**
     * Sets the ipAddress
     *
     * @param string $ipAddress
     * @return void
     */
    public function setIpAddress($ipAddress)
    {
        $this->ipAddress = $ipAddress;
    }

    /**
     * Returns the browser
     *
     * @return string $browser
     */
    public function getBrowser()
    {
        return $this->browser;
    }

    /**
     * Sets the browser
     *
     * @param string $browser
     * @return void
     */
    public function setBrowser($browser)
    {
        $this->browser = $browser;
    }

    /**
     * Get the value of categories
     *
     * @return string
     */
    public function getCategories()
    {
        return $this->categories;
    }

    /**
     * Set the value of categories
     *
     * @param string $categories
     *
     * @return self
     */
    public function setCategories($categories)
    {
        $this->categories = $categories;

        return $this;
    }

}
