<?php
return [
    'ctrl' => [
        'title' => 'LLL:EXT:ig_cookies/Resources/Private/Language/locallang_db.xlf:tx_igcookies_domain_model_log',
        'label' => 'ip_address',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'delete' => 'deleted',
        'enablecolumns' => [
        ],
        'searchFields' => 'ip_address,browser,categories',
        'iconfile' => 'EXT:ig_cookies/Resources/Public/Icons/tx_igcookies_domain_model_log.gif'
    ],
    'interface' => [
        'showRecordFieldList' => 'ip_address, browser, log_date, categories',
    ],
    'types' => [
        '1' => ['showitem' => 'ip_address, browser, log_date, categories, --div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.access'],
    ],
    'columns' => [
        'ip_address' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_cookies/Resources/Private/Language/locallang_db.xlf:tx_igcookies_domain_model_log.ip_address',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'browser' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_cookies/Resources/Private/Language/locallang_db.xlf:tx_igcookies_domain_model_log.browser',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'log_date' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_cookies/Resources/Private/Language/locallang_db.xlf:tx_igcookies_domain_model_log.log_date',
            'config' => [
			 'dbType' => 'datetime',
			 'type' => 'input',
			 'size' => 12,
			 'eval' => 'datetime',
			 'default' => '0000-00-00 00:00:00'
            ],
        ],
        'categories' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_cookies/Resources/Private/Language/locallang_db.xlf:tx_igcookies_domain_model_log.categories',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],

    ],
];
