<?php
defined('TYPO3') or die();

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
								     'IgCookies',
								     'web',          // Main area
								     'igcookies_statistics',         // Name of the module
								     '',             // Position of the module
								     [
									   \Ig\IgCookies\Controller\LogBackendController::class => 'list',
								      ],
								     [
									   'access'    => 'user,group',
									   'icon'      => 'EXT:ig_cookies/ext_icon.gif',
									   'labels'    => 'LLL:EXT:ig_cookies/Resources/Private/Language/locallang_mod.xml',
								      ]
);


       \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_igcookies_domain_model_log', 'EXT:ig_cookies/Resources/Private/Language/locallang_csh_tx_igcookies_domain_model_log.xlf');
       \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_igcookies_domain_model_log');
